Bug 951593 - NameError: global name 'old_fstype' is not defined
NameError: global name 'old_fstype' is not defined
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:ed95a82d154ade2116d96111d73...
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-04-12 10:18 EDT by Ľuboš Kardoš
Modified: 2016-07-31 21:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-19 01:48:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda.log (45.74 KB, text/plain)
2013-04-12 10:18 EDT, Ľuboš Kardoš
no flags Details
File: backtrace (663 bytes, text/plain)
2013-04-12 10:18 EDT, Ľuboš Kardoš
no flags Details
File: environ (780 bytes, text/plain)
2013-04-12 10:18 EDT, Ľuboš Kardoš
no flags Details
File: ifcfg.log (486 bytes, text/plain)
2013-04-12 10:18 EDT, Ľuboš Kardoš
no flags Details
File: lsblk_output (1.86 KB, text/plain)
2013-04-12 10:18 EDT, Ľuboš Kardoš
no flags Details
File: nmcli_dev_list (3.32 KB, text/plain)
2013-04-12 10:18 EDT, Ľuboš Kardoš
no flags Details
File: packaging.log (325.10 KB, text/plain)
2013-04-12 10:19 EDT, Ľuboš Kardoš
no flags Details
File: program.log (24.71 KB, text/plain)
2013-04-12 10:19 EDT, Ľuboš Kardoš
no flags Details
File: storage.log (431.13 KB, text/plain)
2013-04-12 10:19 EDT, Ľuboš Kardoš
no flags Details
File: syslog (84.31 KB, text/plain)
2013-04-12 10:19 EDT, Ľuboš Kardoš
no flags Details
File: anaconda-tb (1.04 MB, application/octet-stream)
2013-04-12 10:19 EDT, Ľuboš Kardoš
no flags Details

  None (edit)
Description Ľuboš Kardoš 2013-04-12 10:18:42 EDT
Description of problem:
Steps to reproduce:
1. Start installation on machine with two disks (both 16GB) and proceed to the "MANUAL PARTITIONING" spoke.
2. Remove all mountpoints from previous installations.
3. Create /boot mountpoint 200MB.
4. Create swap mountpoint 1GB.
5. Change value of "Device Type" select box for swap from "LVM" to "Standard Partition". Click on "Update Settings".
6. Change value of "Device Type" select box for swap from "Standard Partition" to "RAID" but don't click on "Update Settings".
7. Change value of "Device Type" select box for swap from "RAID" back to "Standard Partition". Now button "Update Settings" is enabled but it shouldn't be. Click on it. Maybe this  caused following problems but I am not sure.
8. Create /home mountpoint 15GB.
9. Create / mountpoint, don't specify size.
10. Change value of "Device Type" select box for /home from "LVM" to "BTRFS". Click on "Updates Settings".

Actual result:
After clicking on "Update Settings", I see label "Device reconfiguration failed. Click for details" in the bottom of screen. I tried click on it but in a while unkwnow error occured.

Expected result:
No "Device reconfiguration failed" and no "Unknow error"  during installation.

Additional info:
I tried this on two virtual machines. On both I saw "Device reconfiguration failed" but "Unknow error" I saw on just one.
The following was filed automatically by anaconda:
anaconda 19.17-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1131, in _save_right_side
    fstype=old_fstype,
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2055, in _save_current_selector
    self._save_right_side(self._current_selector)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2065, in on_selector_clicked
    self._save_current_selector()
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 239, in _onSelectorClicked
    cb(selector)
NameError: global name 'old_fstype' is not defined

Version-Release number of selected component:
anaconda-19.17-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Alpha\x20i386 rd.live.check quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-0.rc4.git0.1.fc19.i686
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Alpha

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/accordion.py", line 239, in _onSelectorClicked
    cb(selector)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2065, in on_selector_clicked
    self._save_current_selector()
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 2055, in _save_current_selector
    self._save_right_side(self._current_selector)
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1131, in _save_right_side
    fstype=old_fstype,
NameError: global name 'old_fstype' is not defined
Comment 1 Ľuboš Kardoš 2013-04-12 10:18:46 EDT
Created attachment 734762 [details]
File: anaconda.log
Comment 2 Ľuboš Kardoš 2013-04-12 10:18:48 EDT
Created attachment 734763 [details]
File: backtrace
Comment 3 Ľuboš Kardoš 2013-04-12 10:18:50 EDT
Created attachment 734764 [details]
File: environ
Comment 4 Ľuboš Kardoš 2013-04-12 10:18:52 EDT
Created attachment 734765 [details]
File: ifcfg.log
Comment 5 Ľuboš Kardoš 2013-04-12 10:18:55 EDT
Created attachment 734766 [details]
File: lsblk_output
Comment 6 Ľuboš Kardoš 2013-04-12 10:18:57 EDT
Created attachment 734767 [details]
File: nmcli_dev_list
Comment 7 Ľuboš Kardoš 2013-04-12 10:19:00 EDT
Created attachment 734768 [details]
File: packaging.log
Comment 8 Ľuboš Kardoš 2013-04-12 10:19:05 EDT
Created attachment 734769 [details]
File: program.log
Comment 9 Ľuboš Kardoš 2013-04-12 10:19:10 EDT
Created attachment 734770 [details]
File: storage.log
Comment 10 Ľuboš Kardoš 2013-04-12 10:19:15 EDT
Created attachment 734771 [details]
File: syslog
Comment 11 Ľuboš Kardoš 2013-04-12 10:19:22 EDT
Created attachment 734772 [details]
File: anaconda-tb
Comment 12 Fedora Update System 2013-04-15 17:01:47 EDT
python-blivet-0.11-1.fc19,anaconda-19.19-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-blivet-0.11-1.fc19,anaconda-19.19-1.fc19
Comment 13 Fedora Update System 2013-04-16 12:11:06 EDT
Package python-blivet-0.11-1.fc19, anaconda-19.19-1.fc19, lorax-19.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-0.11-1.fc19 anaconda-19.19-1.fc19 lorax-19.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5795/lorax-19.2-1.fc19,python-blivet-0.11-1.fc19,anaconda-19.19-1.fc19
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-04-17 12:27:35 EDT
Package python-blivet-0.11-1.fc19, lorax-19.2-1.fc19, anaconda-19.20-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-0.11-1.fc19 lorax-19.2-1.fc19 anaconda-19.20-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5795/lorax-19.2-1.fc19,python-blivet-0.11-1.fc19,anaconda-19.20-1.fc19
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-04-19 01:48:54 EDT
python-blivet-0.11-1.fc19, lorax-19.2-1.fc19, anaconda-19.20-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.